from cpl_core.logging import LoggerABC

from gismo_core.abc.bot_service_abc import BotServiceABC
from modules_core.abc.module_abc import ModuleABC
from modules_core.abc.module_service_abc import ModuleServiceABC


class BootLog(ModuleABC):

    def __init__(self, logger: LoggerABC, bot: BotServiceABC):
        self._logger = logger
        self._bot = bot
        
        self._logger.info(__name__, 'LOADED')
        ModuleABC.__init__(self)

    async def on_ready(self):
        self._logger.info(__name__, f'Bot started: {self._bot}')
